Motorola Desktop Suite Readme.txt
29 March 2005  (Version 1.1.0.1018)

This file contains important last minute information about the Motorola Desktop Suite.  Please read this information and follow the instructions contained within before calling technical support.

==========================================

Known Issues

==========================================


No Known Issues.


==========================================

Motorola Desktop Suite Readme
Date: March 29, 2005
Document Version: 1.54
Copyright (C) Motorola 2004-2005
All trademarks are acknowledged.


==========================================

Release Notes

==========================================

29 March 2005  (Version 1.1.0.1018)

This release contains the following changes since the 28 March 2005 release:

- Updated Japanese Help File.
- Updated Time IS Synchronization components to build 408.
  (LIBff70589, LIBff82741, LIBff83397, LIBff56988, LIBff82745)

===

28 March 2005  (Version 1.1.0.1016)

This release contains the following changes since the 24 March 2005 release:

- Updated English and Japanese Help Files.
- Removed Cut from File Browser.

===

24 March 2005  (Version 1.1.0.1014)

This release contains the following changes since the 23 March 2005 release:

- Updated CR numbers.

===

23 March 2005  (Version 1.1.0.1012)

This release contains the following changes since the 18 March 2005 release:

- Fixed functionality of Backup Now button. (LIBff80840)
- Changed default File Browser copy method to immediate render. 
  (LIBff77022, LIBff76891, LIBff55277)
- Incremented minor version number

===

18 March 2005  (Version 1.0.0.1007)

This release contains the following changes since the 15 March 2005 release:

- Modified File Browser to display adjusted disk space on C: drive (LIBff77528)
- Modified AppManager to display disclaimer from a resource [M1000] (LIBff76754)

===

15 March 2005  (Version 1.0.0.1001)

This release contains the following changes since the 09 March 2005 release:

- Modified Settings dialog for clipping in Japanese.
- Modified AppManager to display disclaimer prior to installing on M1000. (LIBff76754)
- Modified File Browser to allow for 3 different copy/paste methods - default is same as normal. 
  (LIBff77022, LIBff76891)
- Added new Japanese Help File.

===

09 March 2005  (Version 1.0.0.995)

This release contains the following changes since the 07 March 2005 release:

- Prepared for CD Release.

===

07 March 2005  (Version 1.0.0.993)

This release contains the following changes since the 04 March 2005 release:

- Modified the way the registry is read.
- Modified Installer to not write registry entries if Install is cancelled without running.

===

04 March 2005  (Version 1.0.0.989)

This release contains the following changes since the 25 February 2005 release:

- Fixed truncated prompts in Japanese synchronization dialogs (LIBff70837, LIBff70848)
- Fixed empty error dialog in File Browser (LIBff72905)
- Added additional sync detail information to Contact and Email help topics of Japanese/English help files.
- Minor corrections to prompts and strings for Portuguese, Japanese, Traditional Chinese.

===

25 February 2005  (Version 1.0.0.985)

This release contains the following changes since the 18 February 2005 release:

- Minor corrections to prompts and strings for all languages.

===

18 February 2005  (Version 1.0.0.979)

This release contains the following changes since the 15 February 2005 release:

- Upgraded to Time IS sync components build 407 (LIBff64347, LIBff66770).
- Fixed File Browser "Open File" issue (LIBff66902).

===

15 February 2005  (Version 1.0.0.977)

This release contains the following changes since the 10 February 2005 release:

- Modified restore method to fix issue where drive volume ID may change due to
  formatting or different flash card.  Now using RestorePartial to restore full drive.

===

10 February 2005  (Version 1.0.0.960)

This release contains the following changes since the 04 February 2005 release:

- Additional Portuguese, Dutch, and Spanish translations.
- Fixes to allow Portuguese, Dutch, and Spanish versions to synchronize
- Modified File Browser to avoid processing files too quickly after changing
  handset folders (LIBff62098).

===

04 February 2005  (Version 1.0.0.954)

This release contains the following changes since the 28 January 2005 release:

- Modified Application Manager to fix dialog text update issue on Win98/ME.
- Added initial Portuguese, Dutch, and Spanish translations to build system.
- Upgraded to Time IS sync components build 406
- Modified exclusion lists to exclude syslang.ini file
- Modified File Browser, Desktop Suite, and App Manager for additional blocking
  rules (LIBff56025)
- Modified Uninstall to support removal only - Modify and Repair are not supported.

===

28 January 2005  (Version 1.0.0.941)

This release contains the following changes since the 26 January 2005 release:

- Modified Sync Summary Dialog to call LogViewer with correct sync type ID
- Modified File Browser to display device files in local PC time (LIBff58193)
- Modified backup/restore failed dialogs with new Japanese/English prompts (LIBff57254)
- Upgraded to Time IS sync components build 405
- Modified File Browser to eliminate an issue that blocked copy and paste between
   device drives. (LIBff56025)


===

26 January 2005  (Version 1.0.0.925)

This release contains the following changes since the 25 January 2005 release:

- Modified backup/restore vs. file operations blocking code (LIBff56025).
- Added Microsoft WDM Modem and USB Modem Kit from
  http://www.microsoft.com/whdc/device/network/modem/WDMmodem.mspx
  which appears to add some needed stability to Win98 as per (LIBff54789).

===

25 January 2005  (Version 1.0.0.921)

This release contains the following changes since the 24 January 2005 release:

- Modified File Browser to disallow backup/restore when file operations are occuring (LIBff56025).
- Added warning dialog during disallowed backup/restore or file operations (LIBff56025).
- Modified File Browser Overwrite dialog Cancel button text in Japanese (LIBff55642).

===

24 January 2005  (Version 1.0.0.916)

This release contains the following changes since the 20 January 2005 release:

- Modified File Browser to disallow file operations during backup and restore (LIBff56025).
- Modified File Browser to disallow ability to edit drive name (LIBff56003).
- Modified File Browser and Installer to ensure folder filter is properly initialized (LIBff55947).
- Modified File Browser to eliminate 0x8001010d error (LIBff53183).
- Modified File Browser delete and overwrite dialogs to correct tab order (LIBff55642).

===

20 January 2005  (Version 1.0.0.905)

This release contains the following changes since the 19 January 2005 release:

- Modified File Browser to increase performance
  (LIBff53665, LIBff53187, LIBff55660)
- Modified File Browser to better handle folder creation/renaming
  (LIBff53668)
- Updated Japanese Backup/Restore Fail dialog to fix truncated string.

===

19 January 2005  (Version 1.0.0.903)

This release contains the following changes since the 17 January 2005 release:

- Updated installation and delete file prompts for Japanese. (LIBff53673)
- Fixed Backup issues for Windows 98 and ME (LIBff53686, LIBff53167)

===

17 January 2005  (Version 1.0.0.861)

This release contains the following changes since the 13 January 2005 release:

- Updated USB .INF files to version 1.0.0.2 (1/17/2005)
- Modified File Browser to allow only one transaction at a time
  (LIBff53661, LIBff53680, LIBff53679, LIBff53664)

===

13 January 2005  (Version 1.0.0.859)

This release contains the following changes since the 12 January 2005 release:

- Modified Japanese Help file
- Modified Japanese backup settings resource (LIBff46275)
- Modified Desktop Suite  copyright notice (LIBff52680)
- Modified Desktop Suite about box to display full graphic (LIBff52683)

===

12 January 2005  (Version 1.0.0.857)

This release contains the following changes since the 07 January 2005 release:

- Modified Japanese Help file and backup/restore warning prompts

===

07 January 2005  (Version 1.0.0.855)

This release contains the following changes since the 07 January 2005 release:

- Modified installer to force registration of SCOM (LIBff50695)
- Modified English Backup Settings resource to fit in property sheet (LIBff46275)
- Modified Backup Exclusion List for SMS support.

===

05 January 2005  (Version 1.0.0.852)

This release contains the following changes since the 30 December 2004 release:

- Modified "Agenda Options" dialog to "Calendar Options" in English resources.
- Modified File Browser to remove temp folder (LIBff49967, LIBff49012, LIBff49023)
- Modified Backup/Restore Complete dialogs to match M1000 UI Requirements (LIBff50223)
- Modified Backup to remove TEMPBU folder to avoid compounding backups (LIBff50560)
- Modified File Browser to eliminate "Server Busy" dialog (LIBff49021)

===

30 December 2004  (Version 1.0.0.834)

This release contains the following changes since the 29 December 2004 release:

- Updated File Browser progress dialog to fit full filename (LIBff49015)
- Limit backup to max of 7 per UI document (LIBff49629)

===

29 December 2004  (Version 1.0.0.830)

This release contains the following changes since the 21 December 2004 release:

- Updated Time IS components to Build 404
- File Browser - fixed file/folder list caching problem which would cause wrong file to be copied
  and file system error (1026) on Windows 98. (LIBff48785)

===

21 December 2004  (Version 1.0.0.828)

This release contains the following changes since the 16 December 2004 release:

- Updated file browser to dynamically update free space information
- File Browser Paste context menu now enabled when clipboard holds acceptable data.
- mRouter Config dialog not minimized when activated (LIBff47315)
- Changed all sync direction dialogs so direction selection is on bottom half. (LIBff47800)
- File Browser can copy/paste - drag/drop between device folders (LIBff29916, LIBff08846)

===

16 December 2004  (Version 1.0.0.819)

This release contains the following changes since the 14 December 2004 release:

- Updated M1000 Japanese translations as per (DSuite_prompts_12162004.xls)
- Removed [Anniversaries/Annual Events] checkbox for all languages (LIBff43784)
- File Browser is feature complete - needs code optimization and general cleanup.
  (LIBff29916, LIBff08846)
- Removed langauge selection dialog box during installation for M1000 release.  
  It will now use the default system language as the installation language.
  To force a specific language, the following command lines:
  English: setup /l0x0809
  Japanese: setup /l0x0011

===

14 December 2004  (Version 1.0.0.813)

This release contains the following changes since the 7 December 2004 release:

- Removed "Synchronise" button from sync task summary screen. (LIBff43227)
- Widened "View Log" button on sync task summary screen for Japanese.
- Updated M1000 Japanese Windows 98 USB inf files. (LIBff39915)
- Modifications to File Browser to support drag & drop between handset folders (incomplete). (LIBff08846/LIBff29916)
- Removed extra application title string from Japanese resources (LIBff43631)
- Fixed problematic Japanese translation of "Synchronization Warning". (LIBff43662)
- Modified Japanese resources to fit full application title/version on toolbar. (LIBff43631)
- Corrected string clipping in Japanese resources. (LIBff42661)
- Changed InstallShield template to correct button overlapping. (LIBff41911)
- Removed Cancel button from AppManager during file extraction. (LIBff39055)

===

7 December 2004  (Version 1.0.0.805)

This release contains the following changes since the 30 November 2004 release:

- Fixed PC to handset error detection code in File Browser.
- Removed Motorola Logo Button for M1000. (LIBff42352)
- Changed all sync direction dialogs so direction selection is on upper half.
- Updated several Japanese translations as per (DSuite_prompts_12022004.xls)
- Fixes for LIBff42661, LIBff43205, LIBff41721

===

30 November 2004  (Version 1.0.0.799)

This release contains the following changes since the 29 November 2004 release:

- Added SCOM build 24 (Adds official support for M1000)
- Added mRouter build 381

===

29 November 2004  (Version 1.0.0.795)

This release contains the following changes since the 24 November 2004 release:

- Modified Japanese prompts/strings listed in DSuite_prompts_11252004.xls


===

24 November 2004  (Version 1.0.0.793)

This release contains the following changes since the 18 November 2004 release:

- Added new Chinese translated strings.
- Added new Danish translated strings.
- Added File Browser security code to hide C:\System folder on handset
- Modified Japanese Backup/Restore reboot warning strings with new translation.
- Added Japanese translations to Synchronization Log Viewer.
- Changed Japanese translations on Synchronization configuration "General" dialog
  to clarify when fields are copied or updated.
- Added Japanese translations to Master Clear dialog.


===

18 November 2004  (Version 1.0.0.787)

This release contains the following changes since the 16 November 2004 release:

- Added Japanese Help file
- Added several new Japanese strings and fixed several from validation report
- Added 4 new files to the Japanese backup exclusion list

===

16 November 2004  (Version 1.0.0.783)

This release contains the following changes since the 12 November 2004 release:

- Added new Master Clear functionality.  Now existing tasks are not deleted.  They
  are Reset and a Sync Settings dialog is displayed offering the user a chance to
  modify the pre-existing sync settings. (not translated)
- Added warning dialog before synchronization - warn that data could be modified
  on PC and handset.  Also includes option to not show dialog in future. (not translated)
- Modified setup to have the capability of removing Lotus Notes 4.5/4.6 support.

===

12 November 2004  (Version 1.0.0.748)

This release contains the following changes since the 05 November 2004 release:

- Updated several Japanese string resources, including installer script
- New version of Time IS synchronization components (402) which fix a truncation
  issue with email sync.
- Added M1000 USB .inf files to installation.

===

05 November 2004  (Version 1.0.0.720)

This release contains the following changes since the 04 November 2004 release:

- Updated backup exclusion lists.
- Modified Desktop File Browser shortcuts to clean up error messages.

===

04 November 2004  (Version 1.0.0.716)

This release contains the following changes since the 03 November 2004 release:

- Updated Chinese resources to fit prompts.

===

03 November 2004  (Version 1.0.0.714)

This release contains the following changes since the 02 November 2004 release:

- New TimeIS components to address synchronization log file corruption (Build 401)
- Updated Chinese and Japanese DesktopSuite resources to include name of backup exclusion list
- Updated backup exclusion lists to contain language specific prompt resources.

===

02 November 2004  (Version 1.0.0.707)

This release contains the following changes since the 01 November 2004 releases:

- New TimeIS Progress2.dll beta component to fix log file corruption.
- New TimeIS LogViewer.exe beta component to fix log file corruption.

===

01 November 2004  (Version 1.0.0.705)

This release contains the following changes since the 01 November 2004 release:

- Fixed issue with incorrectly translated string in DesktopSuiteRes.rc. "Cfg" should
  not have been translated, it is a critical file extension.

===

01 November 2004  (Version 1.0.0.703)

This release contains the following changes since the 28 October 2004 release:

- Modified AppManager dialogs and banner code to use fonts which are available on
  Japanese Windows 98.  Also modified dialog fonts for Chinese for same reason.
- Fixed issue with synchronization PIM selection dialogs sorting PIMs in Chinese
- Fixed issue with incorrect handset file for Agenda/Calendar in EpocUI in Chinese
- Fixed issue with incorrectly translated string in DesktopSuiteRes.rc. "Cfg" should
  not have been translated, it is a critical file extension.

===

28 October 2004  (Version 1.0.0.692)

This release contains the following changes since the 27 October 2004 release:

- Fixed issue with synchronization PIM selection dialogs sorting PIMs in Japanese
- Fixed issue with incorrect handset file for Agenda/Calendar in EpocUI in Japanese
- Corrected several Japanese prompts

===

27 October 2004  (Version 1.0.0.690)

This release contains the following changes since the 25 October 2004 release:

- Fixed two strings in the Japanese DesktopSuiteRes project which should not 
  have been translated.  These strings caused synchronization to not work 
  in Japanese.

===

25 October 2004  (Version 1.0.0.688)

This release contains the following changes since the 20 October 2004 release:

- Modified Master Clear detection to use new ResetTask functionality.

===

20 October 2004  (Version 1.0.0.668)

This release contains the following changes since the 18 October 2004 release:

- Final build for CD.

===

18 October 2004  (Version 1.1.0.658)

This release contains the following changes since the 15 October 2004 release:

- Added file association and icons for SIS files and AppManager.

===

15 October 2004  (Version 1.1.0.656)

This release contains the following changes since the 13 October 2004 release:

- Upgrade to SCOM Runtime Build 23.
- Further email synchronization fixes.

===

13 October 2004  (Version 1.1.0.654)

This release contains the following changes since the 04 October 2004 release:

- Desktop Suite, added registry value to enable/disable logo button display
- Desktop Suite, added registry value to specify URL for logo button
- Desktop Suite, added registry value to specify image file to use for logo button
- Email synchronization bugs fixed.
- Added corrected Japanese license agreement.

===

04 October 2004  (Version 1.1.0.618)

This release contains the following changes since the 27 September 2004 release:

- File Browser, added delete confirmation dialog box with M1000 requirements.
- File Browser, added icons to executable to use with shortcuts
- File Browser, corrected display of connected handset in title bar.
- Added Desktop shortcuts for internal and external handset memory
- Installer will require a reboot for Win9x/Me systems.

===

27 September 2004  (Version 1.0.0.610)

This release contains the following changes since the 23 September 2004 release:

- Added a few updated Traditional Chinese translations.
- Fixed incorrect sorting in PIM synchronization selection dialogs.
- Fixed issue with synchronization PIM selection dialogs sorting PIMs in Italian

===

23 September 2004  (Version 1.0.0.608)

This release contains the following changes since the 20 September 2004 release:

- File Browser can accept a path on the command line to directly open a given folder on the handset.
- Registry key added to allow switching between showing/hiding text labels for Quick Launch Bar.
- Registry key added to allow display of ROM Drives in backup for debugging purposes.
- File Browser changed to allow more than one copy to run at a time.  Still cannot drag and drop between instances though.
- File Browser Overwrite dialog has "No All" button added and functional.  Needs translation.

===

20 September 2004  (Version 1.0.0.593)

This release contains the following changes since the 17 September 2004 release:

- File Browser - ENTER and BACKSPACE shortcuts are enabled. DELETE shortcut will remain
disabled until a confirmation dialog is in place.

===

17 September 2004  (Version 1.0.0.589)

This release contains the following changes since the 16 September 2004 release:

- File Browser uses different default icon for extensionless files.
- About box URL link string updated to "http://www.motorola.com" - links to full URL
- File Browser - disabled DEL and BACKSPACE key accelerators due to conflict (will be fixed)

===

16 September 2004  (Version 1.0.0.586)

This release contains the following changes since the 15 September 2004 release:

- Added a 16-bit version of the File Browser which fixes the drag/drop, copy/paste problem on Win98/ME

===

15 September 2004  (Version 1.0.0.574)

This release contains the following changes since the 14 September 2004 release:

- Added Help menu to main toolbar app and taskbar icon.
- File Browser Paste menu and toolbar items enable and disable with availability of items to paste.
- File Browser has been moved from WinSwitch to MSLU for better Win98 compatibility.
- Added official A1000 URL to logo button (The link may not be active yet)

===

14 September 2004  (Version 1.0.0.570)

This release contains the following changes since the 13 September 2004 release:

- File Browser has Paste added to context menu.
- File Browser Copy context menu fixed.
- Toolbar has Logo icon added back - waiting on link for tomorrow.

===

13 September 2004  (Version 1.0.0.567)

This release contains the following changes since the 10 September 2004 release:

- Release information removed from customer release version.

===

10 September 2004  (Version 1.0.0.565)

This release contains the following changes since the 09 September 2004 release:

- File Browser does not allow a move operation during drag and drop now.
- TBD's have been removed from all help files
- Chinese help file index has been translated.

===

09 September 2004  (Version 1.0.0.561)

This release contains the following changes since the 31 August 2004 release:

- Sync on reconnect button is now functional.
- File Browser can delete files marked read only from the handset.
- Desktop Suite automatically restarts itself if a Master Clear is detected.


===

31 August 2004  (Version 1.0.0.550)

This release contains the following changes since the 19 August 2004 release:

- Removed a leftover debug dialog from File Browser when file transfer cancelled.
- Backspace key will traverse up one folder in File Browser.
- Fixed corrupt Japanese installation script string resource file.
- Removed handset date/time sync with PC when synching calendar/agenda.
- French, Italian, and Swedish resources updated after review by translation team.


===

19 August 2004  (Version 1.0.0.539)

This release contains the following changes since the 16 August 2004 release:

- MDS will remember it's hidden/visible state between executions
- German and Danish resources updated after review by translation team
- Master Clear detection folder moved to C:\System\Data
- Animated arrow icon in Sync Progress dialog now 32-bit color
- File Browser refreshes correctly when window is resized.
- File Browser now displays free space of drive currently being viewed.


===

16 August 2004  (Version 1.0.0.520)

This release contains the following changes since the 13 August 2004 release:

- Quick Launch Bar icons and System Tray menus have been reordered.
- Chinese language translation has been completed and is ready for validation.
- Upgraded to Time IS synchronization components build 388.
- Version info has been placed on the Desktop Suite title bar.
- Desktop Suite About box has had version information presentation strings updated.
- Synchronization progress dialog has been resized.

==========================================
